cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Observer
Observer
10,840 Views
Registered: ‎10-04-2007

OPB_UART 16550 ???????

You used opb_uart 16550????? Today i try to use it but appear errors . You can see figures :






ERROR
----------------------------------------------------------------------------------------------------------------------------------
INFO:coreutil - Valid license for feature opb_uart16550_v1_00_c not found.
You may use the customization GUI for this core but you will
not be able to generate any implementation or simulation files.
Contact Xilinx to obtain a full license for this LogiCORE. For more
information please refer to www.xilinx.com/ipcenter/ipevaluation/
FLEXlm Error: No such feature exists (-5,21)
ERROR:MDT - opb_uart16550 (rs232_uart_1) - C:\thanh\system.mhs:127 - invalid
license or no license found!

plb_v34 (plb) - C:\thanh\system.mhs:97 - 2 master(s) : 3 slave(s)
opb_v20 (opb) - C:\thanh\system.mhs:106 - 1 master(s) : 5 slave(s)
ERROR:MDT - Errors occured while creating Hardware System
make: *** [ppc405_0/lib/libxil.a] Error 2
Done.
---------------------------------------------------------------------------------------------------------------------

I visit "www.xilinx.com/ipcenter/ipevalation/" but my request was denied because i don't have product ID number . If you used it before , you can show me how  i can use it >thank you
0 Kudos
5 Replies
Highlighted
Explorer
Explorer
10,829 Views
Registered: ‎09-16-2007

Well not sure thats old wait a couple days and buy ISE/EDK 9.2 when its released
 
Are you student?
 
 
 
Cheers,
Bill Tomb
0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
10,817 Views
Registered: ‎08-07-2007

OPB UART 16550 is a licensed core.
 
Usually EDK will contain evaluation licenses, which will be expired in one year after it's released.
 
It seems that you are using EDK7.1. The evaluation license must have been expired.
 
--XF
0 Kudos
Highlighted
Explorer
Explorer
10,791 Views
Registered: ‎09-16-2007

Just try to change your pc clock back
Cheers,
Bill Tomb
0 Kudos
Highlighted
Observer
Observer
10,788 Views
Registered: ‎10-04-2007

YES,  I using EDK 7.1i . So really no way to help me using OPB_UART 16550 .  Any way  thank your replies .
0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
10,760 Views
Registered: ‎08-06-2007

Hi,
 
You could try using the opb_uartlite instead.
You might need to change some program files so they include the driver for the uartlite instead of the uart550
 
Göran
0 Kudos